import { EngineHarness } from "../../../EngineHarness.js";
import { GizmoRenderingPlugin } from "./GizmoRenderingPlugin.js";
import { Gizmo } from "./Gizmo.js";

const harness = new EngineHarness();

/**
 *
 * @param {Engine} engine
 * @return {Promise<void>}
 */
async function main(engine) {
    await EngineHarness.buildBasics({
        engine
    });


    engine.graphics.on.preRender.add(()=>{
       Gizmo.draw_line([0,0,0],[10,10,10]);

       Gizmo.draw_wire_sphere([1,1,1],2);
    });
}

harness.initialize({
    configuration(config, engine) {
        config.addPlugin(GizmoRenderingPlugin);
    }
}).then(main);
